GNU bug report logs - #36826
26.1; request: add variable value editing feature to the *Help* buffer

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Severity: wishlist; Reported by: ndame <emacsuser@HIDDEN>; dated Sun, 28 Jul 2019 06:09:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 30 Jul 2019 21:32:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 17:32:43 2019
Received: from localhost ([127.0.0.1]:51310 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsZjf-0004NA-IB
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 17:32:43 -0400
Received: from mout.web.de ([217.72.192.78]:36729)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hsZjd-0004Mv-T2
 for 36826 <at> debbugs.gnu.org; Tue, 30 Jul 2019 17:32:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564522338;
 bh=dbdYo4dntNUi9YlesDKHIzJGCRf204mKtxW5LEbhdDE=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=g4RZ6M87A1zeW7PD4/lxy+MiF/N9qaODDvDnRs0ozI0eeg+Bvt4G07zKl8v6si4g5
 qRWrn3LLu+xzNiwJkxD70/Lfo/VuMPQsbakG8kHBi3Fudd/Kl5NzmKgCfowpCky0jV
 LMRspObhJlx6402Gjz8fDhVgR7MD+Lv6P/pd9Qhc=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb101
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MbQGO-1hc8m62qMm-00Ijec; Tue, 30
 Jul 2019 23:32:18 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN>
 <87o91ccp6s.fsf@HIDDEN> <e6b57fbc-d70e-4e36-9e32-ac6c75c3a586@default>
 <8736iocgqp.fsf@HIDDEN> <1aefceef-b0ae-4788-9734-80eb3fbbf7b3@default>
Date: Tue, 30 Jul 2019 23:32:14 +0200
In-Reply-To: <1aefceef-b0ae-4788-9734-80eb3fbbf7b3@default> (Drew Adams's
 message of "Tue, 30 Jul 2019 11:53:29 -0700 (PDT)")
Message-ID: <871ry7tdi9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:2bM3P4XZscP+NyDuIZEtbL/zKJk3Vz5gnKftf1iWdNWskID1mz+
 LGZRAYefErOq3JpnF/qUXLuLLdW96AaztjqCxCqgfNOI2/tQITl5MEoeeq6RWBzQgjWiUhU
 39U6XpYbvMCK7WQ7FJkB27WVF+wgPNg846oOO7XUK0pClCiq5SHfCbzFbLq+nie0TUkshCU
 NomQ5JApqi0aTy+2YZ3Dw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:vqQtUIQDoRU=:Gedc8pJU82R/sqOoM22HuK
 eYfWgLkw/YBxuZfWxeeeiqjmcQXfR2Q618P2dKLF5cEw5NMHczYRTAt4yLCw3SSi92t+qCvBH
 +yXc8t7SBr3ZxqmM82CW+l1by0DzRPdOF11kvjLicGGfUnhU2djeaOB5SS0ZEjp9s1vzNvSQd
 0jk59MirW99W6I2f5Z2VC8KRNe8S2wMDE+WUFZQtJF7ONQqfCDDNoNTI0G3RdrILZ/+Qux7WN
 VQ33Pa/ilRfS4JYscQVI7T4XpOq0Grv3VMD1BVIsmeEjJzXeBFhGjw0ga7NdO3ouW32z+0RGk
 x3U2nwdxwA17TcfMo2wKV4xHUcdlw1Uq1WNuBHLyWYz/JUnBQCCKh8bIlirfblL57QLv274rj
 UMVf2YBDTHhQHePnnseaFjw3HHk75bWCgO0GjWZMY/kIC9pXAS+Nb5zYacLAsDvFhfiKa8Y50
 CfV5a3Ib7fLEisS5+Tbqp2OQqweBD92PMTM1OG0nfC8LcMfagJvrkxtzuOMkaPfudEQ7uY8dw
 HLCXVOnjJFt9+VFu5RxFD7zbKNPzg3teuloj1mUXmLU6GYOLBRzUUizB+xHwn4FPRqnWSQNkV
 OJolhUV1b89aUEze+LZ7hyzNTIsXTYxmHAqWdJkbCVx83E+S/htzUM5TSYlCf1GhejvcS8jop
 jcto/L9Dg3HA9w+MO7v8J+cecI3XNabCz7w55z0DwJKmAzS9DK+bAgnDQxBI6Um/pbwuszK48
 Y6kwEKifZbWLbqxMbm0k/K/KPwVpGz6/Uv7W2X+alYRHRnnbCpPkqhL+re+qiSrObelKiA/Fu
 VmgbqaHYJHC94yFIRCfQGHWgoXdI8eC59D/O3/qpdputmUtRBoQVyKHnj6zOaulPtbu85SuSj
 iZ8rZ52kyxf/85Xpg5+cHKVPogc71ldCN+tDR6z6kZIB76GoCGsxttL865gZyNWjZDSJXSmge
 65DrZKgipcIsf0hFair//ui64MGrBkD3IyCHTrzS8+X/K6L0gKd9u2a3ZQ4gONALacP3/7k91
 5uUUYx+OIEmhAVDB9maETJ0xWxqNFSXjtbWodmDDtP9YF1zvC/pu4jMC8ZAJQXLj4UO39fjDr
 y3QVhYwktDpzoRlTDp9PH48kloeEGaJiyz4
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36826
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, ndame <emacsuser@HIDDEN>,
 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:

> > > (`set-variable' does make the current value available
> > > as the default (`M-n') for editing.  In other respects
> > > `customize-set-variable' is preferable to `set-variable'.)
> >
> > AFAICT: doesn't `customize-set-variable' prefill the minibuffer with
> > the current value?
>
> Seems to depend.  For `fill-column', yes.  For
> `default-frame-alist' no.  You get a hint at
> the beginning of the prompt: "[repeat]", but
> you have no idea what to repeat, no completion,
> etc.  You don't get the current value, as a
> complex list etc., AFAICT.

Oh, indeed.  At the end, in this case the :prompt-value spec of the
default widget is used (the repeat widget which is used here inherits
it), which is the quite simple `widget-default-prompt-value'.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 30 Jul 2019 18:53:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 14:53:42 2019
Received: from localhost ([127.0.0.1]:51176 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsXFm-0007xA-Ko
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 14:53:42 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:59718)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hsXFl-0007wr-80
 for 36826 <at> debbugs.gnu.org; Tue, 30 Jul 2019 14:53:41 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6UINvQO123509;
 Tue, 30 Jul 2019 18:53:34 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=BVsd+PzXx9/ARZvQwSQ9xmqXZ4EU7t39zK8SyR5I61I=;
 b=XE7gsunNKlgYTzeAo8xMJh2w8AUSzsapfTwbVl0lKEl0FoMefC61lP2fSodF6LkAfYyv
 KudyQyIFm4S+g0NNj05sseCwLeUzF6qJnU/IAHPvg8U4gOeh9ZPmqjEDf8dg7OzquT/u
 4P/FCxD2hF2HGuRYX26UfiLQCTn8i/Ye9SYvLjOjDLezwqWv2t2FNvpykjaNww8oH10w
 GqpAiRKeaszFkoqAH7lc2atmOnLKo8axEpaaIekSFqyESw8jx5ZL81VEJWe7mpFnafTC
 7t69UO+A/jZijDURUVKoM2hqGVXA2+4vCp+zhVQBZk6zLv5TyG2aOBvPbHdKtSRN/To9 ow== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 2u0e1trk5c-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 30 Jul 2019 18:53:34 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6UIr7KG033981;
 Tue, 30 Jul 2019 18:53:34 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by userp3030.oracle.com with ESMTP id 2u0bqubd7d-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 30 Jul 2019 18:53:34 +0000
Received: from abhmp0005.oracle.com (abhmp0005.oracle.com [141.146.116.11])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6UIrUHW019493;
 Tue, 30 Jul 2019 18:53:30 GMT
MIME-Version: 1.0
Message-ID: <1aefceef-b0ae-4788-9734-80eb3fbbf7b3@default>
Date: Tue, 30 Jul 2019 11:53:29 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN> <87o91ccp6s.fsf@HIDDEN>
 <e6b57fbc-d70e-4e36-9e32-ac6c75c3a586@default> <8736iocgqp.fsf@HIDDEN>
In-Reply-To: <8736iocgqp.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9334
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=687
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907300192
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9334
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=744 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907300191
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, ndame <emacsuser@HIDDEN>,
 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > (`set-variable' does make the current value available
> > as the default (`M-n') for editing.  In other respects
> > `customize-set-variable' is preferable to `set-variable'.)
>=20
> AFAICT: doesn't `customize-set-variable' prefill the minibuffer with
> the current value?

Seems to depend.  For `fill-column', yes.  For
`default-frame-alist' no.  You get a hint at
the beginning of the prompt: "[repeat]", but
you have no idea what to repeat, no completion,
etc.  You don't get the current value, as a
complex list etc., AFAICT.  (I haven't checked
the code, to see what it really does.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 30 Jul 2019 04:07:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jul 30 00:07:30 2019
Received: from localhost ([127.0.0.1]:49395 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsJQA-0006hm-Js
	for submit <at> debbugs.gnu.org; Tue, 30 Jul 2019 00:07:30 -0400
Received: from mout.web.de ([212.227.17.12]:51051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hsJQ7-0006hQ-Ks
 for 36826 <at> debbugs.gnu.org; Tue, 30 Jul 2019 00:07:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564459329;
 bh=b27Q3/gu09+mk7MlN/dXcn1ORkw9EMwV4Slu6b56W5Q=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=ZXchRyYC+gWYDy/uAs+v3IvqoWyVpiPfYEmNFXgM0E8ZWXP9NjCqVkiesh03ZuyZq
 Qcsu9wQ0Wep0iftvMzqg9aeM8cawc+8iH+ieDV4J/FOlwMjd+wmtZhchCACUJdlKEj
 IWoQgLQd0h6YCxvpPiPNY7Ce40YwceoNXAy8UG/k=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0MfYj1-1i2RXW0Rzf-00P3om; Tue, 30
 Jul 2019 06:02:09 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN>
 <87o91ccp6s.fsf@HIDDEN> <e6b57fbc-d70e-4e36-9e32-ac6c75c3a586@default>
Date: Tue, 30 Jul 2019 06:02:06 +0200
In-Reply-To: <e6b57fbc-d70e-4e36-9e32-ac6c75c3a586@default> (Drew Adams's
 message of "Mon, 29 Jul 2019 19:43:45 -0700 (PDT)")
Message-ID: <8736iocgqp.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:QdUsjDXZTu6P4RZr9dC/p9dX+dmjNpUm1X7vMVwGuiTWzOYayig
 H1KyjwKf7Q5Vp4AQua86Da7RGzHM0HrhXDkPUGaobd0qZhAvBF69GGzeYWU/Dn62/ffGeAm
 cA6l7IfyDPxdekmE+BO9q+BnXw0nXf/KqkN6k/eIbNg+kXOU/DwzXNufWLnTGNc2nk63+V2
 mA4n6GGFNYFxfLr85iBng==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:W3l/pY3rxwY=:KwK3UWv6UMQmBOylQDhdIs
 +FJ+MORayG+BsNJbtwHWoTtKnje3+ndfTVogzvdm16vu6HVUUBowsnKK9zuEIuTM5/6mYdmOg
 /UxkPRrWEuXrQzNeCVSj0xcdidO/BNsfPbhm+r4QZ//hTIdkHDJx7uBf/ObsCWVWKqvO60RMV
 49d220rg8lMAKYrsE7GAXeg08HUbemTB2ZEjGC+Jj7DicbrkZ/vx7NHxgrQfo2dX3Hvd2o3uJ
 s5XsgTUt7AXSBtbQ+wlsRU4qLDpPS7DaA6/zhF/sVQk9/ow4ITjsIZw+5jrtMtog5Gwsf4KxJ
 Du4b8LFo/ktt6CMk+V/BeO4UpNGGuWyaTJ1i7MklFcYDDMNmsHlR0dXUuCSmO4ljTGfujF6DA
 TOHSV+Z+82BquKNyJg+IB4g20r8QkzoNawTsB0En3Dw+u7aoLTZ2YJvq9p5mIskwQUvyqIzR1
 sRpsPNAw7+wXB5Kgzfujw1T5rYwdAgDMIE4ko+b6rvp5LN0d88vqUh7RbXVOvHeLm/nlSs3dw
 r8vqWqBXpdJRte/6YNh8YH31dcWwlnNKiDmJ3vopE45KbWLv3Q6MXhiEdbD/PpGK9uPKc+yAW
 8Y9BmYIfcYHlcfpFJicoidESJj1tgYfg+sKKclz+HtCFvdfPW+AmNVDaHDopVs/qDviaoUe3v
 4MnkYfsCikXy/N9C7Wo6dXWMGHvzw4QcdfYxvNQWIUoBcDXCE3MW5GzgiXJD6oj5jKJhof99k
 KqUvvO7CeXXHXzg74xkiYdzcjVzl4n7thazartD4xQDDT72CdSWgBOmZQKH1FEIDXq7NTrmmS
 BLTDwBD2Pfdmil9qM6FyE7BU1U6XB46sOO3WdjSA5Fb/HGWDO96oN5d/QmvpvreE6UW68+SzP
 Ap8GDf/TlP5QF9KJ/iYnMz9dhXcQWGqG2oSYtoqx6kPsGriR/+iPoXJxA431JHLjkUQM/OsOG
 eiejl5m09UO7AywWK//zEib92+jwvDLsAbYGKeYW1s+VAPzcphpR5wdSMAEr4rtU3gz5M/HDZ
 aV59DlFeKFksdRj4MUJkMKXTz/asXsNMMLIbB3fu/mKbnDnxt2QcfphiLQbaPytaeSJwbKPjy
 YCJvT6BdKGcpDLgkhMU6d6l4AkgmpQBokdv
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36826
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, ndame <emacsuser@HIDDEN>,
 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Drew Adams <drew.adams@HIDDEN> writes:
>
> (`set-variable' does make the current value available
> as the default (`M-n') for editing.  In other respects
> `customize-set-variable' is preferable to `set-variable'.)

AFAICT: doesn't `customize-set-variable' prefill the minibuffer with
the current value?

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 30 Jul 2019 02:43:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 22:43:58 2019
Received: from localhost ([127.0.0.1]:49385 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsI7K-0004Wc-2g
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 22:43:58 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:41276)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hsI7H-0004WM-Es
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 22:43:56 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6U2hb85085792;
 Tue, 30 Jul 2019 02:43:49 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=iACncnnIRYZnaMpZebQfPYuQPg0cFftL5cvZX47Ybyo=;
 b=pYo8kTMfmXXydLX97dWQCBCHETcg37sVi8kLOreavK4xnk4PfSgmh5KBGczAlnmzEczz
 va3MtuxXp7bjGMSFnfw/T+MgywuXDtaaxFyfvfTZlF2fg5HrY4ip1IYWTH1sRkgDlGHX
 NQRF6w+J5T0pBZfQ3JmQ/IPwsEKgI1+HvoxwBnECP/3r840ZL7BrjGfeIAB9UxoMEgkX
 XwyutxSlWLr5E0wedwdZoC7pOW7Ut8WKmnnMIj4eUDzeNW/X4U1B6PLCg3YJHqpWJgH1
 fVFrqHZc6yBSZHAS3OOQig8Y3/ha5+S6TQKFTTloHx+pFZQi0/PuAO9eMdQAWERVprjs gw== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 2u0f8qu72n-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 30 Jul 2019 02:43:48 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6U2grtC153368;
 Tue, 30 Jul 2019 02:43:48 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3030.oracle.com with ESMTP id 2u0xv7v9q4-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Tue, 30 Jul 2019 02:43:48 +0000
Received: from abhmp0015.oracle.com (abhmp0015.oracle.com [141.146.116.21])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6U2hk01032118;
 Tue, 30 Jul 2019 02:43:46 GMT
MIME-Version: 1.0
Message-ID: <e6b57fbc-d70e-4e36-9e32-ac6c75c3a586@default>
Date: Mon, 29 Jul 2019 19:43:45 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>, ndame <emacsuser@HIDDEN>
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN> <87o91ccp6s.fsf@HIDDEN>
In-Reply-To: <87o91ccp6s.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9333
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=957
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907300026
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9333
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907300026
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

In addition to what Michael said, I'll add this, for
those who think Customize is not for Lispers or is
otherwise beneath them.

If you customize a list-valued option, such as
`default-frame-alist', and you use `M-x customize-option'
on it, menu `State' lets you choose `Show Saved Lisp
expression', which does what it says: replaces the `INS'
and `DEL' entries of `Parameter' and `Value' with, well
the alist as a Lisp sexp.  Edit that there, or edit it
elsewhere.

IOW, `customize-option' gives you more along the lines
of what was requested than does `customize-set-variable'.
But yes, `customize-set-variable' should at least give
you the current value using `M-n'.  Given that value,
even a complex one, you could edit it in the minibuffer.

(`set-variable' does make the current value available
as the default (`M-n') for editing.  In other respects
`customize-set-variable' is preferable to `set-variable'.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 30 Jul 2019 00:59:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 20:59:57 2019
Received: from localhost ([127.0.0.1]:49366 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsGUe-0001nV-TR
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 20:59:57 -0400
Received: from mout.web.de ([217.72.192.78]:52521)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hsGUd-0001n5-CN
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 20:59:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564448382;
 bh=bpWVJUVFCc3nCikAXunfge9aQUyQRkMlhUEMtC4F4RQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=DVpgbkdDZs9zgUzWQgWDT9OJg311qqRsWp/pSE8ufw2AKPh7/AaqzX3v7+9qljb8y
 onFTBYkNW+Tg9abbAKWRYpCn60xsOU1K3PryMorbEwmezzs/IvcFodzodDdoi8T2NH
 ghHm3SmIf7jUtHIeXPhYKMc7xjFKrGw4fBjxp9LQ=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb103
 [213.165.67.124]) with ESMTPSA (Nemesis) id 0M1X9B-1igWn90QQL-00tSn6; Tue, 30
 Jul 2019 02:59:42 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: ndame <emacsuser@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN>
Date: Tue, 30 Jul 2019 02:59:39 +0200
In-Reply-To: <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN> (ndame's
 message of "Mon, 29 Jul 2019 04:38:25 +0000 (GMT)")
Message-ID: <87o91ccp6s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:L9MMlo6+IDWrXnzjsnbmL1fu1syzc3mEYLv8F8wMYO5ySMUeczp
 OdA/fw04Lhj5nlqshW1JP5H1txsqQU4782USxHp8VjzS2alrBsBMDk0UJjqb0zvKX0d4yDM
 DMJ7PVP1e6n60vweIbvc5g3+LnlV7KJiQQ5LZpNiq3pJiixDIsFpNiiZ5/fkyu4Z4aZCRWT
 9ynT9JEdRwQHdQlF7GT4w==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:PSN0rn3UM1I=:jZzL5prMEI+IryTdTrPgO1
 LC90UeY4Tx0PPS1cZEgCJODAHvclmAIuIbOD30+GSe11/NrmPP21Aff/8Axac7H+oqmlM4BNK
 hI+DOereWwtjKh/s0U2a+kgPTIIRi82rolHCI/oN4rqX9gg1BL491xyMGceO+R7HK5p4CpAyf
 +bQxWf6ts5wXx44O0V5s4bqVemZMnpfOjeXQoPVm85Rq+MITcXRLmII3Jd2lpjrwAPVtotqDR
 Tvs4t9T9aAj8acgh4VZCtKU+wJ8xuLOvzX+ZTDE0CMjX0fc7Sxzok9Uwi7tSzplT1iMXqAvSl
 EOS2Rj61s+g9bRqSUQNpp7q5dXmDTdN33CxMjQQguALXk5Ou6nCOI+2GjjFllhMqUFi6c+cb6
 siLo79n7VCjHW1sVg8UlQMALcfKHmroeZBybs82Lzk45Zyw1i+vCzUlQ7qWZZjFX2c5W31Zfe
 SBgfQRQzjM7UrTHwW7CGW3vcGjvDKsNyR9Xee1gz/wd/ASsXdkWj6WwdxefHsF2FXj10jx2Kz
 XV7tv/h5CRaKji/A1cqIkzgO4hfK1hsbsCEm/3FwSOQp9Qo3HRFiEWYdj42ql4y6nPfREjuNf
 VNzugLHRYezO8II4HD7UXhQqfU4uQuEemtzKTTT3//XvyTNzWp1L47GFtPJ7zwMGB8On8Fqg8
 lguE6TPHeALfDHYtm6QYhuVhTj+KhEqSNFcp+1CuhEACCv9W7pG29FBi6E3SopW8Mib5HWpq0
 TexbhgE9ngEvXCSb2J9uIS968x2AbwQ0zvkC3N6yRBdp4zmmbLWUrdGvJg1jOOl2gk3T+Q1Fp
 bleE+KiGidOHtRimKKJk3qoWV/rLbQ7F2oL2AFWVXTg6XoIP6oEleVZsPankvDLJ8na2+sxAm
 zX2CLAC7XIsYTKFtm62h30kkTVfU01oi9qdB4SR/FzC5BPej54D2KDcbIorwJ5xnoJ4ZO8pnt
 45TjUqqZSefAp6dKz+xI8RCuSrdHfeWm4SdaWt6D3htm0POEWt56VpXIWs+yEPH42Xl9sVZKA
 OK92DVAfm6/AaxP2hDx9Z4zALQM5qsLMTZFKQEWYCzfgW6IsPHMiVY8cNrqiBXrcbQkYphQE3
 fl0eEG4jSY2bWgSU5EvHeDUz/5ZDIB88zPU
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 36826
Cc: Lars Ingebrigtsen <larsi@HIDDEN>,
 "36826 <at> debbugs.gnu.org" <36826 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

ndame <emacsuser@HIDDEN> writes:

> A related idea is that we could have the key c bound to copy as
> elisp. So you want to tweak a variable. You press c and the lisp form
> of setting the variable (setq varname ....current value...) is copied
> to the kill ring which you can tweak in scratch.

It's convenient, but also a small gain: copy the variable to scratch,
hit C-u C-x C-e, and you already have most of this.  Takes two seconds
or so to type all that to have the complete setq form.

> We are talking about variables which the user sets from lisp. Variables
> containing buffer objects are not such. For these the feature could
> throw an error saying the variable cannot be changed manually.

Could be done.  Note that already variables whose values contain
functions could throw this error.

> > But my main point is the question if we should really invite the typic=
al
> > user, which is not an Emacs developer (ok, here I'm not really sure if
> > I'm right) to change variables on the fly,

> I don't know what you mean by emacs developer (core developer?), but
> the typical emacs user tends to learn lisp, so he can extend and mold
> the editor to his needs. Such a user inspects variables, changes them,
> copies code to the init file etc. This feature targets those users who
> are beyond customize, able to use lisp and tweak variables and other
> things often in emacs.

Doing so is quite often a mistake.  Some variables should not be set
outside of customize.  Other variables, especially list valued variables
we spoke about, often need to be value modified instead of set.  And for
variables with atom values, the gain is small.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 18:16:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 14:16:24 2019
Received: from localhost ([127.0.0.1]:49097 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hsAC7-0002bs-TK
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 14:16:24 -0400
Received: from bird.elm.relay.mailchannels.net ([23.83.212.17]:35051)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <juri@HIDDEN>) id 1hsAC1-0002bb-5T
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 14:16:17 -0400
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from relay.mailchannels.net (localhost [127.0.0.1])
 by relay.mailchannels.net (Postfix) with ESMTP id 3DCC750276C;
 Mon, 29 Jul 2019 18:16:16 +0000 (UTC)
Received: from pdx1-sub0-mail-a43.g.dreamhost.com
 (100-96-29-186.trex.outbound.svc.cluster.local [100.96.29.186])
 (Authenticated sender: dreamhost)
 by relay.mailchannels.net (Postfix) with ESMTPA id 7D0B7502B04;
 Mon, 29 Jul 2019 18:16:15 +0000 (UTC)
X-Sender-Id: dreamhost|x-authsender|jurta@HIDDEN
Received: from pdx1-sub0-mail-a43.g.dreamhost.com ([TEMPUNAVAIL].
 [64.90.62.162]) (using TLSv1.2 with cipher DHE-RSA-AES256-GCM-SHA384)
 by 0.0.0.0:2500 (trex/5.17.5); Mon, 29 Jul 2019 18:16:16 +0000
X-MC-Relay: Neutral
X-MailChannels-SenderId: dreamhost|x-authsender|jurta@HIDDEN
X-MailChannels-Auth-Id: dreamhost
X-Hysterical-Plucky: 4d3833902e6c9c36_1564424175983_1927471557
X-MC-Loop-Signature: 1564424175982:3342548233
X-MC-Ingress-Time: 1564424175982
Received: from pdx1-sub0-mail-a43.g.dreamhost.com (localhost [127.0.0.1])
 by pdx1-sub0-mail-a43.g.dreamhost.com (Postfix) with ESMTP id E398883083;
 Mon, 29 Jul 2019 11:16:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha1; c=relaxed; d=linkov.net; h=from:to:cc
 :subject:references:date:in-reply-to:message-id:mime-version
 :content-type; s=linkov.net; bh=b8YLEQosrTtabUiNtLjgCkz6arM=; b=
 FKa5o6k3kMV7D4n3/GZyRyaCWxFMvdHlpA1qplxoFeEfEvI7ORH3IrxC8+EfFeip
 QjbAM8oWIUbYxsG/59j/q92OLtfh6fqHeFIW/9Y8hhZZhldHXLhVJ3oVnN259zLg
 Z1Jf2ifSKTw2S4ICZ1XDe+n/th+Aanhsr6SgELiNAsY=
Received: from mail.jurta.org (m91-129-103-76.cust.tele2.ee [91.129.103.76])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (No client certificate requested)
 (Authenticated sender: jurta@HIDDEN)
 by pdx1-sub0-mail-a43.g.dreamhost.com (Postfix) with ESMTPSA id 386F28307F;
 Mon, 29 Jul 2019 11:16:05 -0700 (PDT)
X-DH-BACKEND: pdx1-sub0-mail-a43
From: Juri Linkov <juri@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
Organization: LINKOV.NET
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87v9vljxrs.fsf@HIDDEN>
 <717c1376-ac78-4ff8-84a2-5c9a64ba16f3@default>
Date: Mon, 29 Jul 2019 21:15:18 +0300
In-Reply-To: <717c1376-ac78-4ff8-84a2-5c9a64ba16f3@default> (Drew Adams's
 message of "Sun, 28 Jul 2019 21:35:32 -0700 (PDT)")
Message-ID: <87a7cxf8sh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-VR-OUT-STATUS: OK
X-VR-OUT-SCORE: -100
X-VR-OUT-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrledugdduvdefucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpffftgfetoffjqffuvfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvufhofhffjgfkfgggtgesthdtredttdertdenucfhrhhomheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqeenucfkphepledurdduvdelrddutdefrdejieenucfrrghrrghmpehmohguvgepshhmthhppdhhvghlohepmhgrihhlrdhjuhhrthgrrdhorhhgpdhinhgvthepledurdduvdelrddutdefrdejiedprhgvthhurhhnqdhprghthheplfhurhhiucfnihhnkhhovhcuoehjuhhriheslhhinhhkohhvrdhnvghtqedpmhgrihhlfhhrohhmpehjuhhriheslhhinhhkohhvrdhnvghtpdhnrhgtphhtthhopegurhgvfidrrggurghmshesohhrrggtlhgvrdgtohhmnecuvehluhhsthgvrhfuihiivgepud
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: "Basil L. Contovounesios" <contovob@HIDDEN>,
 Lars Ingebrigtsen <larsi@HIDDEN>, ndame <emacsuser@HIDDEN>,
 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

> I mentioned `set-variable'.  But it is only for user options.

I use such advice to workaround this restriction:

;; Allow set-variable to set all variables, not only customizable ones:
(advice-add 'set-variable :around
	    (lambda (orig-fun &rest args)
	      (interactive (lambda (spec)
			     (cl-letf (((symbol-function 'custom-variable-p)
                                        (lambda (v)
                                          (and (symbolp v) (boundp v)))))
                               (advice-eval-interactive-spec spec))))
	      (cl-flet ((custom-variable-p (v) t))
		(apply orig-fun args)))
	    '((name . override-custom-variable)))

But I agree with Michael this should be allowed only to developers.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 14:22:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 10:22:36 2019
Received: from localhost ([127.0.0.1]:48876 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hs6Xs-0001Tc-AV
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:22:36 -0400
Received: from eggs.gnu.org ([209.51.188.92]:44519)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1hs6Xq-0001TO-22
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:22:34 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:44665)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hs6Xj-0002ls-Vr; Mon, 29 Jul 2019 10:22:28 -0400
Received: from [176.228.60.248] (port=4080 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hs6Xj-0005Vl-71; Mon, 29 Jul 2019 10:22:27 -0400
Date: Mon, 29 Jul 2019 17:22:14 +0300
Message-Id: <83v9vkkjjd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: ndame <emacsuser@HIDDEN>
In-reply-to: <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN> (message
 from ndame on Mon, 29 Jul 2019 04:38:25 +0000 (GMT))
Subject: Re: bug#36826: 26.1;
 request: add variable value editing feature to the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
 <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: michael_heerdegen@HIDDEN, larsi@HIDDEN, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Mon, 29 Jul 2019 04:38:25 +0000 (GMT)
> From: ndame <emacsuser@HIDDEN>
> Cc: "36826 <at> debbugs.gnu.org" <36826 <at> debbugs.gnu.org>
> 
> > - It is no fun for variables with complicated values, like large lists
> of lists. Just a minibuffer prompt would not be nice.
> 
> That's why I mentioned popup buffers for complicated values. It could
> be especially useful for variables with complicated values like nested 
> lists. You just press e, a buffer pops up with the value, so you don't have
> to manually copy it to scratch, etc. you can tweak it in place quickly and
> set it with C-c C-c

Would invoking Customize with 'e' fix most of the problems?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 14:19:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 10:19:03 2019
Received: from localhost ([127.0.0.1]:48868 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hs6UR-0001O3-FW
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:19:03 -0400
Received: from aserp2120.oracle.com ([141.146.126.78]:58780)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hs6UQ-0001NZ-2h
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 10:19:02 -0400
Received: from pps.filterd (aserp2120.oracle.com [127.0.0.1])
 by aserp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6TEDbCL126042;
 Mon, 29 Jul 2019 14:18:56 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=Gf6CYCbwpEvQwHo3+lmo/jQ/FjwpY9WdAJ3WgmqCVpU=;
 b=Ib7I8MyioGDkjTDNaun9gdXZsmEFWIs++iR0PA0XO+zSbZHNzRkFgRf6RDcrSfVs4GWZ
 dxEeRUX/TuY6ioy8vKH9LUGScs0LYcQK0WIEXfLS8p7dVQKCnQNGmwOFFsstNmWxL+hl
 VPYO/Iih4/PsOs9rnf9bAkgpoIKzZt1ISSUbhCalRUyt/V7J+x99oU5gOSlgWoIj/uhK
 HBM4IsbkQh9+U7ne/7gePAEPDqVJJGayRHtLBqQ8DGnJOCgH/+PVJP0AX/drQf7b2K8K
 zwMLqwBmOpJHHbSikQUnivRvd119Np+hPMgvCyc9YnTZA5mbU2cNJ6FXw41YPrkxPnsz gA== 
Received: from userp3020.oracle.com (userp3020.oracle.com [156.151.31.79])
 by aserp2120.oracle.com with ESMTP id 2u0ejp7pmm-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 14:18:55 +0000
Received: from pps.filterd (userp3020.oracle.com [127.0.0.1])
 by userp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6TEHSp3083583;
 Mon, 29 Jul 2019 14:18:55 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by userp3020.oracle.com with ESMTP id 2u0dxq0etr-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 14:18:54 +0000
Received: from abhmp0012.oracle.com (abhmp0012.oracle.com [141.146.116.18])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6TEIoh6011332;
 Mon, 29 Jul 2019 14:18:52 GMT
MIME-Version: 1.0
Message-ID: <6614a4e7-fa2e-4f39-8890-d6c13e88dd7a@default>
Date: Mon, 29 Jul 2019 07:18:49 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, "Basil L. Contovounesios"
 <contovob@HIDDEN>
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87v9vljxrs.fsf@HIDDEN> <m3d0htvtb8.fsf@HIDDEN>
In-Reply-To: <m3d0htvtb8.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9333
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=921
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907290164
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9333
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=974 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907290163
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

See the older discussions I pointed to previously
for why command `customize-set-variable' is
generally preferable to command `set-variable'.
(Or compare their doc and behavior.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 13:55:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 09:55:45 2019
Received: from localhost ([127.0.0.1]:48846 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hs67t-00078v-Gk
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 09:55:45 -0400
Received: from quimby.gnus.org ([80.91.231.51]:44120)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hs67r-00078n-HV
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 09:55:44 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hs67n-0002ZQ-AL; Mon, 29 Jul 2019 15:55:41 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87v9vljxrs.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAAGFBMVEXoDwD+XQD+VQD+QwD+
 lwT+TAD+OAD+awKIWcxFAAACcklEQVQ4jW1TQW4bMQzkKXeqNXQWDcHnLiG9wEDOlsD4GlSwet5i
 AX2/o7XbpEkEY9fgkBpyOEvb+b/zvI41uNh/0of44BCLHHt7B2zjeQx2tbaU+43eJY8VcbHc23Fe
 9SBB2DmOtWrvTXHVeIRxS5RoyAeQUTG2f4CJmOZZYOkHjeftDNYVrFrtZRZ01XKlMTaEVw4c0Yvu
 QH65ehr7+c3sijZT1Z61uNNGvM58Fo+rdKmaVRP7dSPh4RgIc+yKCsC34DdU8GBxIQRXkdy09ZzC
 GGcS71EiwQmGSwr2qtcdCH4VJxc8akqIt6wntAoAt0OiVSr61zrn8+iTXCxewCASNZnOCRNCg4LI
 2LsKUrVY1taSMHsqIbAbcmD5ltErxNW2SPQELfyKLbiAdkuFurlLcifi4udwBSutfdllT1IPngy9
 CrtDMFMzqxnIYrKRLSVWzIcmLLkdKRbDRjHPHla/8upO7DHRUiATgHq9K49dDT+fkJUhYtICpSAJ
 SynCK56gRUUyWCDEiytiJgU9WBHnz2QJAdMSIIlOjcvBPBxCqQi81FKxpHZBsnOBJ9Bsegb6Wa0L
 5ImGeWE2UiuxwRgZu0iogAar3wFNsefW5071EgTU2BMAaH2cnmy/5HCcvsZvmhMAcqfJNNUENcF+
 2SsMyFwnbrtVLzDMzn2mCAkN2dOEcprxMXagwZAYEF7r2YQDPpI7kG+p1NzAg69lqiXhDvQb5kNT
 oO9wCbqVOwfMlLU/Dng0Fd4H7G/n8b+lOeFfgOiJiPrrjmAtG71F6fF6hRXjdyTRx/PUlL/T5zg9
 dazqc3hSlZP/GrDrIP0SWbY/XrkPcDa+1HsAAAAASUVORK5CYII=
Date: Mon, 29 Jul 2019 15:55:39 +0200
In-Reply-To: <87v9vljxrs.fsf@HIDDEN> (Basil L. Contovounesios's message of
 "Mon, 29 Jul 2019 05:00:07 +0100")
Message-ID: <m3d0htvtb8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: "Basil L. Contovounesios" <contovob@HIDDEN> writes: > There's
 also M-x set-variable, which inserts the current value of the > variable
 when you type M-n. Oh, nice. I didn't know that. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"Basil L. Contovounesios" <contovob@HIDDEN> writes:

> There's also M-x set-variable, which inserts the current value of the
> variable when you type M-n.

Oh, nice.  I didn't know that.

> Perhaps all that's needed is for set-variable to also detect the
> variable described in the current *Help* buffer, and offer it as one
> of the default variables to set, following the value of
> variable-at-point (which is the current default).

Yes, or bind `e' to a command that would call `set-variable' with the
variable under point?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 04:57:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 00:57:40 2019
Received: from localhost ([127.0.0.1]:47544 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrxjA-0008Kk-Iz
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:57:40 -0400
Received: from fmfe31.onbox.hu ([46.107.16.236]:23646 helo=web-out.onbox.hu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacsuser@HIDDEN>) id 1hrxj7-0008KU-8w
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:57:38 -0400
X-fm-smtp-source: yes
Received: from localhost (localhost [94.21.144.65])
 by web-out.onbox.hu (Postfix) with SMTP id 45xnVf0QyxzZLG;
 Mon, 29 Jul 2019 06:57:30 +0200 (CEST)
Date: Mon, 29 Jul 2019 04:38:25 +0000 (GMT)
From: ndame <emacsuser@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>,
 Michael Heerdegen <michael_heerdegen@HIDDEN>
Message-ID: <Axuu0g.HkCXWWtfWbR.MB54p8XYTOQqsLkRnbS@HIDDEN>
In-Reply-To: <87a7cx4g7f.fsf@HIDDEN>
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_10080_96023940.1564375105246"
X-AccountId: 57978162
X-Originating-Ip: 94.21.144.65
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrledtgdekkecutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdcuhfftgffgofetkffnnecuuegrihhlohhuthemuceftddtnecusecvtfgvtghiphhivghnthhsucdlqddutddtmdenucfjughrpeffhffvkfgjfhfugggtihesrgdtregstddtudenucfhrhhomhepnhgurghmvgcuoegvmhgrtghsuhhsvghrsehfrhgvvghmrghilhdrhhhuqeenucfkphepleegrddvuddrudeggedrieehnecurfgrrhgrmhephhgvlhhopedpihhnvghtpeelgedrvddurddugeegrdeihedpmhgrihhlfhhrohhmpegvmhgrtghsuhhsvghrsehfrhgvvghmrghilhdrhhhupdhrtghpthhtoheplhgrrhhsihesghhnuhhsrdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=simple/relaxed; t=1564376250; 
 s=20181004; d=freemail.hu;
 h=Date:From:To:Cc:Message-ID:In-Reply-To:References:Subject:MIME-Version:Content-Type;
 l=4935; bh=iO7dPrcL58e6HBKsXQ/BjfVLwFxY6S+nf1cZjFiTXwo=;
 b=OeTEWadEN4+0FDTX1QrClDwjM22PR+d0ist3vbL7XlfPeDSvJHDyszTNmnrHlnV5
 4SNE5kTyOdU8H+cxJNMX+TYJWObnu7zcKP+JZ7cj8R4mQbR9r1pdz9njNvG4eU4eoVU
 LDoZwvRBVIYAY2XJklSbIv6fe8bO8n2UzjI9PLQP9nlT+caRH3dD4Xy6F4pIPkl+W+a
 gI4+zJiS9FOGOW4dU4AVfrKNbQ4GAgIrOo1WM03F0gDHan7PsRqlX6WX8pVS1tSJhnv
 oAUUaHro0ZiWBdT4sb7vzGbNB4myu8cETiSEG1TWMHjjm/0EXcjbb043pNkpl3y3JtF
 6C5NGDvGvA==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: "36826 <at> debbugs.gnu.org" <36826 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_10080_96023940.1564375105246
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

> - It is no fun for variables with complicated values, like large lists
of lists. Just a minibuffer prompt would not be nice.

That's why I mentioned popup buffers for complicated values. It could
be especially useful for variables with complicated values like nested=C2=
=A0
lists. You just press e, a buffer pops up with the value, so you don't have
to manually copy it to scratch, etc. you can tweak it in place quickly and
set it with C-c C-c

> Here you probably still would use scratch or so. And even in the situatio=
n you
> described, I would prefer having an expression in scratch, edit and eval
> it, compared to clicking a button in the help buffer and edit in the mb
>or a popup buffer.

A related idea is that we could have the key c bound to copy as elisp. So y=
ou=C2=A0
want to tweak a variable. You press c and the lisp form of setting the=C2=
=A0
variable (setq varname ....current value...) is copied to the kill ring whi=
ch you can tweak in=C2=A0
scratch.

This could trivially do the tedious work of copying the variable's name and=
=C2=A0
value manually.



> - There are nitpicks which may complicate doing what at first sounds
> simple, e.g. what if the value includes things were printing and reading
> comes into play?=C2=A0 E.g. buffers: they have a print syntax, but it's n=
ot a
> read syntax.

We are talking about variables which the user sets from lisp. Variables
containing buffer objects are not such. For these the feature could=C2=A0
throw an error saying the variable cannot be changed manually.

> But my main point is the question if we should really invite the typical
user, which is not an Emacs developer (ok, here I'm not really sure if
I'm right) to change variables on the fly,

I don't know what you mean by emacs developer (core developer?), but
the typical emacs user tends to learn lisp, so he can extend and mold
the editor to his needs. Such a user inspects variables, changes them,
copies code to the init file etc. This feature targets those users who=C2=
=A0
are beyond customize, able to use lisp and tweak variables and other
things often in emacs.
=C2=A0
------=_Part_10080_96023940.1564375105246
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

&#62; - It is no fun for variables with complicated values, like large lists<br />
of lists. Just a minibuffer prompt would not be nice.<br />
<br />
That&#39;s why I mentioned popup buffers for complicated values. It could<br />
be especially useful for variables with complicated values like nested&#160;<br />
lists. You just press e, a buffer pops up with the value, so you don&#39;t have<br />
to manually copy it to scratch, etc. you can tweak it in place quickly and<br />
set it with C-c C-c<br />
<br />
&#62; Here you probably still would use scratch or so. And even in the situation you<br />
&#62; described, I would prefer having an expression in scratch, edit and eval<br />
&#62; it, compared to clicking a button in the help buffer and edit in the mb<br />
&#62;or a popup buffer.<br />
<br />
A related idea is that we could have the key c bound to copy as elisp. So you&#160;<br />
want to tweak a variable. You press c and the lisp form of setting the&#160;<br />
variable (setq varname ....current value...) is copied to the kill ring which you can tweak in&#160;<br />
scratch.<br />
<br />
This could trivially do the tedious work of copying the variable&#39;s name and&#160;<br />
value manually.<br />
<br />
<br />
<br />
&#62; - There are nitpicks which may complicate doing what at first sounds<br />
&#62; simple, e.g. what if the value includes things were printing and reading<br />
&#62; comes into play?&#160; E.g. buffers: they have a print syntax, but it&#39;s not a<br />
&#62; read syntax.<br />
<br />
We are talking about variables which the user sets from lisp. Variables<br />
containing buffer objects are not such. For these the feature could&#160;<br />
throw an error saying the variable cannot be changed manually.<br />
<br />
&#62; But my main point is the question if we should really invite the typical<br />
user, which is not an Emacs developer (ok, here I&#39;m not really sure if<br />
I&#39;m right) to change variables on the fly,<br />
<br />
I don&#39;t know what you mean by emacs developer (core developer?), but<br />
the typical emacs user tends to learn lisp, so he can extend and mold<br />
the editor to his needs. Such a user inspects variables, changes them,<br />
copies code to the init file etc. This feature targets those users who&#160;<br />
are beyond customize, able to use lisp and tweak variables and other<br />
things often in emacs.<br />
&#160;
------=_Part_10080_96023940.1564375105246--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 04:46:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 00:46:23 2019
Received: from localhost ([127.0.0.1]:47539 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrxYF-00085S-DR
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:46:23 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:40450)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hrxYD-00085C-2Q
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:46:21 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6T4cQbX149788;
 Mon, 29 Jul 2019 04:46:14 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=eayGCwFLvTJmOcHqL62VQ9zmHA/IBKstLySunAi0pNc=;
 b=Bwti8gmXLwtkgPB2jOlbfO9Sd19Lo67z7bmMXE0lANHgunt0BZ++pwMXtyRn31uDGYWK
 jtN/tqjbSqAHcrYDWS1ybctXjnBj3MH3K9erGjjipnUe4+Ycts6Y3BEYx/UFblfPdHe8
 Jlnrl4Lc231ABxSqAHDQF4iTi0rrw+tYNQzNxcFb+rxRwsfSChEvo6daQIFpsD+nOQQJ
 qwZVb145z/I5KgZCqcOV1KvKm1C7uXwqOAUERiWYXz4XOJ4FcBCEt9MOxsn3nNK/cutR
 BRMObIl4vw+vjENIE47ekPt4y7poRP1n6pleTwkIRQIPOTRrP1HxqZKngdEbOEd/jKwo 9g== 
Received: from aserp3030.oracle.com (aserp3030.oracle.com [141.146.126.71])
 by userp2120.oracle.com with ESMTP id 2u0f8qmt77-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 04:46:14 +0000
Received: from pps.filterd (aserp3030.oracle.com [127.0.0.1])
 by aserp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6T4ceEv039551;
 Mon, 29 Jul 2019 04:46:13 GMT
Received: from userv0122.oracle.com (userv0122.oracle.com [156.151.31.75])
 by aserp3030.oracle.com with ESMTP id 2u0xv7acr3-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 04:46:13 +0000
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by userv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6T4kAei031047;
 Mon, 29 Jul 2019 04:46:11 GMT
MIME-Version: 1.0
Message-ID: <0bdfe581-6ea9-4802-9864-4cfe0bd5591a@default>
Date: Sun, 28 Jul 2019 21:46:09 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: Michael Heerdegen <michael_heerdegen@HIDDEN>, Lars Ingebrigtsen
 <larsi@HIDDEN>
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87a7cx4g7f.fsf@HIDDEN>
In-Reply-To: <87a7cx4g7f.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907290056
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907290056
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I think this sounds useful.  I'm often rooting around not quite sure
> > what variable I'm looking for in the help buffers, and trying
> > different values, and having a command to make this faster would be
> > nice.  There's `customize-variable', but I...  just don't like it.
> > (And besides, not all variables are customisable...)
>
> There are also some downsides:
>=20
> - Changing variables might break Emacs if you are not knowing what you
> are doing.  Customize at least has some safety checks.  Users might not
> expect that clicking on the button and changing values might have
> dangerous consequences.  Likewise, Emacs might change or modify the
> value and users wonder why their setting had been "rejected".  With
> other words: it is potentially dangerous and might confuse users.
>=20
> - It is no fun for variables with complicated values, like large lists
> of lists.  Just a minibuffer prompt would not be nice.  Here you
> probably still would use scratch or so.  And even in the situation you
> described, I would prefer having an expression in scratch, edit and
> eval it, compared to clicking a button in the help buffer and edit
> in the mb or a popup buffer.
>=20
> - There are nitpicks which may complicate doing what at first sounds
> simple, e.g. what if the value includes things w[h]ere printing and
> reading comes into play?  E.g. buffers: they have a print syntax,
> but it's not a read syntax.  Objects may be replaced by equal objects
> (e.g. lists will be recreated) which might confuse Emacs.  There is
> buffer local vs. global bindings of variables (and hooks), etc.
>=20
> But my main point is the question if we should really invite the
> typical user, which is not an Emacs developer (ok, here I'm not
> really sure if I'm right) to change variables on the fly, or if
> it's not better if these users are directed to customize, and the
> others use just M-: or ielm or what they use now.

All good points, I think.

And I'm not convinced of the problem the proposed
solution tries to solve.  But maybe I don't have
a good idea of what the problem is.

FWIW, I don't think I ever find myself "rooting
around not quite sure what variable I'm looking
for in the help buffers, and trying different
values".  But maybe I don't really know what Lars
meant by that.  Is that about wanting better apropos
features, to find the right variable?  How about an
example of such rooting around?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 04:35:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 00:35:47 2019
Received: from localhost ([127.0.0.1]:47516 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrxNy-0007pV-Mk
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:35:46 -0400
Received: from userp2130.oracle.com ([156.151.31.86]:38872)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hrxNw-0007pI-GS
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:35:45 -0400
Received: from pps.filterd (userp2130.oracle.com [127.0.0.1])
 by userp2130.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6T4Y3lM141157;
 Mon, 29 Jul 2019 04:35:38 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : cc : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=NkLf2zdn0WOVuAJLGQDTREkpEMLvCKcP7Jhth+Ynks4=;
 b=J96vFyonER0gC294BR13wvw/EcDX1RCNzrWiR6inFuD7L1uCsZ35jBsHJkgrpqU7loLK
 viF99dzmrpiJqbuGSFIJ8y9WwMfsrlS/s/V+DsOaLguvBZbmYrU8XUPhBdfunay5IYYl
 x/65ILs5cvxTqbxYm2z7CmxYglV0G9K+9mP8DVhikpCZ8aXgAZF5AT72jttcGfLjFSk6
 jGEaEkjFiJuvy2zalqkHr7KikUEuQ3reiyMJJn29Pj24iDjOtEc5iLtDyczJuq9xAf3g
 w8zAmwSTmaxGVP0CMy1ZRoC851PzIgAqIgkBYosbnzboEDTqIWoNOZlJ0cBLPG724v91 nQ== 
Received: from userp3030.oracle.com (userp3030.oracle.com [156.151.31.80])
 by userp2130.oracle.com with ESMTP id 2u0e1tcy3u-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 04:35:38 +0000
Received: from pps.filterd (userp3030.oracle.com [127.0.0.1])
 by userp3030.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6T4XMiW108198;
 Mon, 29 Jul 2019 04:35:37 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userp3030.oracle.com with ESMTP id 2u0bqt91x2-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Mon, 29 Jul 2019 04:35:37 +0000
Received: from abhmp0018.oracle.com (abhmp0018.oracle.com [141.146.116.24])
 by aserv0122.oracle.com (8.14.4/8.14.4) with ESMTP id x6T4ZXS6003190;
 Mon, 29 Jul 2019 04:35:34 GMT
MIME-Version: 1.0
Message-ID: <717c1376-ac78-4ff8-84a2-5c9a64ba16f3@default>
Date: Sun, 28 Jul 2019 21:35:32 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: "Basil L. Contovounesios" <contovob@HIDDEN>, Lars Ingebrigtsen
 <larsi@HIDDEN>
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN> <87v9vljxrs.fsf@HIDDEN>
In-Reply-To: <87v9vljxrs.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=999
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907290055
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1015
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=999 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907290055
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> > I think this sounds useful.  I'm often rooting around not quite sure
> > what variable I'm looking for in the help buffers, and trying
> > different values, and having a command to make this faster would be nic=
e.
> > There's `customize-variable', but I...  just don't like it.  (And besid=
es,
> > not all variables are customisable...)
>=20
> There's also M-x set-variable, which inserts the current value of the
> variable when you type M-n.  Perhaps all that's needed is for
> set-variable to also detect the variable described in the current
> *Help*
> buffer, and offer it as one of the default variables to set, following
> the value of variable-at-point (which is the current default).

I mentioned `set-variable'.  But it is only for
user options.  (And there is already a link to
Customize for the variable being described.)

And there's `M-: (setq...)`.  But for that what's
missing is the ability to insert buffer text (e.g.
a variable name at point) into the minibuffer.
(See the discussion in bug #36525 about that.)

And see discussions in emacs-devel:
2017, "custom-set-variables considered harmful",
2011, "set-variable and defcustom",
2010, "`set-variable' should use :set",
2007, "customize-set-(value|variable)",
2007, "apropos commands for commands, user options, all functions, all vari=
ables".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 04:28:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 00:28:53 2019
Received: from localhost ([127.0.0.1]:47510 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrxHH-0007dy-1H
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:28:53 -0400
Received: from mout.web.de ([212.227.15.3]:35095)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael_heerdegen@HIDDEN>) id 1hrxHE-0007dk-KY
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:28:49 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=web.de;
 s=dbaedf251592; t=1564374519;
 bh=Epq48QGocLP4rSsno+k2rjxYOcq1BpeIf5QaGOPg9jg=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Qzrdmjn+3ZjDs9dWpJMPW9WNTMpt0QtvgB25OmTHRRadLS+wIvsiPg5tBD3ivQsC4
 iBsrlOt4gw7Fmd7fGYsINmixTvxHR87iwzn+6WeuUJ0D6LQ9qr37ZRZcE/AtpKhrCa
 ZQph5OJHw6s5h9F87UjFzafw49ZaVXPNZcsTTYps=
X-UI-Sender-Class: c548c8c5-30a9-4db5-a2e7-cb6cb037b8f9
Received: from drachen.dragon ([92.208.178.242]) by smtp.web.de (mrweb001
 [213.165.67.108]) with ESMTPSA (Nemesis) id 0MPGym-1hnXQF0bhI-004Pyd; Mon, 29
 Jul 2019 06:28:39 +0200
From: Michael Heerdegen <michael_heerdegen@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN>
Date: Mon, 29 Jul 2019 06:28:36 +0200
In-Reply-To: <m3h8763uon.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 28 Jul 2019 20:01:12 +0200")
Message-ID: <87a7cx4g7f.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:DJ7tQ/Y0WDEPX/hSYp8+hvsuclMFFLc55eLbgPIFW0BQHTpRVsc
 3cEnPjEMFXcknWjVA4Yyf119nohdplnM0LRjKWk/ItcDNvDKl4sE5NGjf9ueoPruK7R+wUL
 yF4IdZOcr1tuIPvKjJVuhe7lRk0F9u63AP/wA4V8LAQckoUz0TDilDHAIsBsUAz5fhdJ8Q3
 BCqJu0+aep9dVfeR2aQVg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:DSrr8AY3f8I=:vJB25w3P3+oEthTS40Y45a
 /IjAmltxEiFOA2H7Vng06Edp2ZlfqPWxVfbCHTjhGfsxFdJD3Xuo3PpKiW6n5LLbC81EA9qC8
 FDKF475dLwo41HF1UULu0WsWMzMv5B5Mq725ElgSmxo6MdkFtdHh2LawuugfC2io8U5hUO7vD
 LCkDvxeUaC1Mg9rLT0qQZ7mPuYqE74vfb6ALmUuqmrBmlqnniqC9HdSAcKVpQZvnz86OzsIEm
 /g1jLWRjXpcI8lDu3B6m46kgquk3p+Jq0Pd33/Ip/IMiiWt0bmh9RQ9AlMWlBeCDdISYKI+SU
 rSt6kRWYsFbLMzITvpq5A6RgH8Re7g4gxZDwMWGpmpNvYcDM96VV/xCMhmwpVVqJ2PKvEdGSy
 sOzQV7Xir6dzxDTwSH/01HEksP4d8rtdReQsrgyTkTTwN7UgzGnwok9K4FqFOOBWnVmL8CYcZ
 LA/89ghGvkif0/8+s9dLEgCBR0tPAzEpyilTYl7HcuIf9EXjKz093Tpkmgilvc7ADgkuZldsv
 JprKN6ay1JqzbpJhYS0xDDpdBq7MOmP7muxU/ndfq1N1gzy8zd1KVgixKDtm4DJA6AQrkwZHB
 IUKuxltUqGcaeX9LZhznfF37AJ5r0pKeJWOBrBez1hMK0BraoUmvTQ/cDCxYMEM6chpUgI/MH
 5X64o4fX8cZQaOWHgOGsKuKiAiSky30Sn5/gBS6+Hi7LfzyBxlgUk0Rlpu3xnNHAtLB8os695
 3amj6KwX+5vTOj34TbRD7R1llgizBTgqk/K59nyHLrEiiGzLYYUKC72TFxJIbtoTkSXPn6ibz
 SWFu3wBwdml6M7eCg9NusExQfFeyPu4aDWSxbkr3I1WrGW6HZ8tx8MXWkA6Ab3UKldyHHgXrw
 2KLXSQqfukkG+/UWmJAJtIY3snUwUj1d0bOYO1YVlZlsJ7w4ohWQMybl42kBUqf9Bpm+0bbnI
 yMg6YaIt88gVTGB9LFCnj+JfcWBa0uH7OJ1pJ6fTCgtxpVNIti6Pd9UhgtQ5OmAZ/Cc7yoH87
 5ZuumBAzokEI1S5o/nDdf2KFpB8I4jJMXTNEf59azTvG5Bu6GYZGk0yXlQiAKEHLCcPMydKo0
 G7BtW6jxRbVCeOniEfu5qDX6wl2tfm853lq
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think this sounds useful.  I'm often rooting around not quite sure
> what variable I'm looking for in the help buffers, and trying
> different values, and having a command to make this faster would be
> nice.  There's `customize-variable', but I...  just don't like it.
> (And besides, not all variables are customisable...)

There are also some downsides:

- Changing variables might break Emacs if you are not knowing what you
are doing.  Customize at least has some safety checks.  Users might not
expect that clicking on the button and changing values might have
dangerous consequences.  Likewise, Emacs might change or modify the
value and users wonder why their setting had been "rejected".  With
other words: it is potentially dangerous and might confuse users.

- It is no fun for variables with complicated values, like large lists
of lists.  Just a minibuffer prompt would not be nice.  Here you
probably still would use scratch or so.  And even in the situation you
described, I would prefer having an expression in scratch, edit and eval
it, compared to clicking a button in the help buffer and edit in the mb
or a popup buffer.

- There are nitpicks which may complicate doing what at first sounds
simple, e.g. what if the value includes things were printing and reading
comes into play?  E.g. buffers: they have a print syntax, but it's not a
read syntax.  Objects may be replaced by equal objects (e.g. lists will
be recreated) which might confuse Emacs.  There is buffer local
vs. global bindings of variables (and hooks), etc.

But my main point is the question if we should really invite the typical
user, which is not an Emacs developer (ok, here I'm not really sure if
I'm right) to change variables on the fly, or if it's not better if
these users are directed to customize, and the others use just M-: or
ielm or what they use now.

Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 29 Jul 2019 04:00:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Jul 29 00:00:19 2019
Received: from localhost ([127.0.0.1]:47504 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrwpf-000705-C9
	for submit <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:00:19 -0400
Received: from mail-io1-f52.google.com ([209.85.166.52]:40654)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <contovob@HIDDEN>) id 1hrwpc-0006zm-Ez
 for 36826 <at> debbugs.gnu.org; Mon, 29 Jul 2019 00:00:17 -0400
Received: by mail-io1-f52.google.com with SMTP id h6so30479246iom.7
 for <36826 <at> debbugs.gnu.org>; Sun, 28 Jul 2019 21:00:16 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=tcd-ie.20150623.gappssmtp.com; s=20150623;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=35myEXZ0WHzU36+lSd2OWWfKDA2tOH7Nqs+ckobCSNc=;
 b=FQ5++YPCBoZftH3dOg/4TORskdBVArohu1FqPH6npHvuJm/M5kb9WgH0pXDP5trpiq
 Kd8fGmKart/fbrD1hJReIyd9cppR0OwwqpVe14L12gIhpQHhktEoscfpPQWsLoQD8sf3
 Aw27Vdu9w7+1zM8VD1kgmpv8S/1iHs9lJeDuYVSorKyZ9hmq0G2oqbwVj3e86zxjKWxO
 fAL1T0hWq9byW7/UQpvqI3s6/06SR7JBotxPW19d68Tb4vFnaB8dd7KffHo9bxKfUmBg
 y9+RDMZd/g5OY5kHYVOj6k5s4sjS3bFCUNsA+g/FPVAAerm1wbvyABrdOQWQa4CH9+WY
 HFJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=35myEXZ0WHzU36+lSd2OWWfKDA2tOH7Nqs+ckobCSNc=;
 b=CKKyWMhYs65ZAVqmVyM0RZEQhHII9Z/qhR/bADl6kqetJqjDFwSEBu7YTK7szDkOm2
 9PKMwxvUH2L46YLrEjvnnms13bV/WbxuveU1MArLMX+Xu/BcWYyScfc7VErc1CC3Uln3
 mFpC9y6/2kF7EmoyWyyDAiTOJ1qvtMht0xX3BE1y0dLQN0PTonEWZUL1M7k5ZJfF3jPq
 d+dSy9Om1DGbUJgCYdgf0Q51uMlCcZhB0IREMBTrKSVKtmCR/V2oHxvqLpB7Ju0G7TXC
 883INMGbTmjj5YtQKKJFy49bNknuuanTFu5zrou4mIoViogO+Pd91Jfm5hbv9fJ5fu6R
 JkAg==
X-Gm-Message-State: APjAAAXCKNlcmSpceGcT1gHErLk7dOyxR2nY12uuEnyGiQPvS6BhgxQQ
 RUbP9nMlsAv9lbnaUpXmQyNL2A==
X-Google-Smtp-Source: APXvYqyx+rxJMUmD6E4FLZKLVnr+7VOvK6uFHYlEJwdsOx7rvbkWN5HIQTV4qqpZkDrqJWBdG9w8+Q==
X-Received: by 2002:a5d:8e08:: with SMTP id e8mr20210071iod.139.1564372810630; 
 Sun, 28 Jul 2019 21:00:10 -0700 (PDT)
Received: from localhost ([82.141.252.177])
 by smtp.gmail.com with ESMTPSA id f17sm58098070ioc.2.2019.07.28.21.00.09
 (version=TLS1_3 cipher=AEAD-AES256-GCM-SHA384 bits=256/256);
 Sun, 28 Jul 2019 21:00:10 -0700 (PDT)
From: "Basil L. Contovounesios" <contovob@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <m3h8763uon.fsf@HIDDEN>
Date: Mon, 29 Jul 2019 05:00:07 +0100
In-Reply-To: <m3h8763uon.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sun,
 28 Jul 2019 20:01:12 +0200")
Message-ID: <87v9vljxrs.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> ndame <emacsuser@HIDDEN> writes:
>
>> Bind the currently unused key 'e' to edit the variable's value, maybe
>> in a separate popup buffer if the value is complex. E.g. the user
>> presses e, the value pops up rendered in editable lisp format, the
>> user edits it in place, presses C-c C-c and the variable is set to the
>> new value.
>
> I think this sounds useful.  I'm often rooting around not quite sure
> what variable I'm looking for in the help buffers, and trying different
> values, and having a command to make this faster would be nice.  There's
> `customize-variable', but I...  just don't like it.  (And besides, not
> all variables are customisable...)

There's also M-x set-variable, which inserts the current value of the
variable when you type M-n.  Perhaps all that's needed is for
set-variable to also detect the variable described in the current *Help*
buffer, and offer it as one of the default variables to set, following
the value of variable-at-point (which is the current default).

-- 
Basil




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 28 Jul 2019 18:01:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 14:01:20 2019
Received: from localhost ([127.0.0.1]:47096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrnU0-0007ll-8D
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 14:01:20 -0400
Received: from quimby.gnus.org ([80.91.231.51]:59340)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1hrnTy-0007lX-HN
 for 36826 <at> debbugs.gnu.org; Sun, 28 Jul 2019 14:01:18 -0400
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=stories)
 by quimby.gnus.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.89)
 (envelope-from <larsi@HIDDEN>)
 id 1hrnTs-0006Sr-AG; Sun, 28 Jul 2019 20:01:16 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: ndame <emacsuser@HIDDEN>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
Date: Sun, 28 Jul 2019 20:01:12 +0200
In-Reply-To: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN> (ndame's
 message of "Sun, 28 Jul 2019 08:08:39 +0200 (CEST)")
Message-ID: <m3h8763uon.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  ndame <emacsuser@HIDDEN> writes: > Bind the currently
 unused key 'e' to edit the variable's value, maybe > in a separate popup
 buffer if the value is complex. E.g. the user > presses e, the value pops
 up rendered in editable lisp for [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
Cc: 36826 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

ndame <emacsuser@HIDDEN> writes:

> Bind the currently unused key 'e' to edit the variable's value, maybe
> in a separate popup buffer if the value is complex. E.g. the user
> presses e, the value pops up rendered in editable lisp format, the
> user edits it in place, presses C-c C-c and the variable is set to the
> new value.

I think this sounds useful.  I'm often rooting around not quite sure
what variable I'm looking for in the help buffers, and trying different
values, and having a command to make this faster would be nice.  There's
`customize-variable', but I...  just don't like it.  (And besides, not
all variables are customisable...)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 28 Jul 2019 17:54:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 13:54:08 2019
Received: from localhost ([127.0.0.1]:47092 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrnN2-0007Wp-Cb
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 13:54:08 -0400
Received: from fmfe13.onbox.hu ([46.107.16.206]:13013 helo=web-out.onbox.hu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacsuser@HIDDEN>) id 1hrnMz-0007WE-6v
 for 36826 <at> debbugs.gnu.org; Sun, 28 Jul 2019 13:54:06 -0400
X-fm-smtp-source: yes
Received: from localhost (localhost [195.38.106.209])
 by web-out.onbox.hu (Postfix) with SMTP id 45xVn15jK9z52L;
 Sun, 28 Jul 2019 19:53:57 +0200 (CEST)
From: ndame <emacsuser@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>, 
 "36826 <at> debbugs.gnu.org" <36826 <at> debbugs.gnu.org>
Message-ID: <Axupow.LGBMFTMBpDUu.01tiWBYcr7tbDu6Uhop8@HIDDEN>
In-Reply-To: <5bc15f7a-d0aa-47fd-b8be-9f6892673063@default>
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
 <5bc15f7a-d0aa-47fd-b8be-9f6892673063@default>
Subject: Re: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_13950_1393962933.1564336200686"
X-AccountId: 57978162
X-Originating-Ip: 195.38.106.209
Date: Sun, 28 Jul 2019 19:53:57 +0200 (CEST)
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: -100
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrkeelgdduvddtucetufdoteggodetrfdotffvucfrrhhofhhilhgvmecuggftfghnshhusghstghrihgsvgdpucfhtffggffotefknfenuceurghilhhouhhtmecufedttdenucesvcftvggtihhpihgvnhhtshculddquddttddmnecujfgurhephffvkfgjfhfugggtihffsegrtdersgdttddunecuhfhrohhmpehnuggrmhgvuceovghmrggtshhushgvrhesfhhrvggvmhgrihhlrdhhuheqnecukfhppeduleehrdefkedruddtiedrvddtleenucfrrghrrghmpehhvghloheppdhinhgvthepudelhedrfeekrddutdeirddvtdelpdhmrghilhhfrhhomhepvghmrggtshhushgvrhesfhhrvggvmhgrihhlrdhhuhdprhgtphhtthhopegurhgvfidrrggurghmshesohhrrggtlhgvrdgtohhmnecuvehluhhsthgvrhfuihiivgeptd
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=simple/relaxed; t=1564336438; 
 s=20181004; d=freemail.hu;
 h=From:To:Message-ID:In-Reply-To:References:Subject:MIME-Version:Content-Type:Date;
 l=2199; bh=A66t/lf3hB160VAORp/+qse9M3wQ2NeAur+bMPmbvgA=;
 b=d4q92VEhPiJXaSsc7SCcWlOv/KFlgnQM5Oq8ZOkGCPwdpqd0bQxojvtD+lcRl6v1
 Neu/ZCn3loEisDHr4bjrbSs8SC27u116yaUUlCYu8EaC2FzzCsdbU5po2ZXDb1KzSAP
 TJXpuO193NwsEYl7pFlv+OGcCxseTjercIXZBEnvei5OFEwj/mt/jFs6n9VvURcQYWm
 IUPlHv5Eo/S/AlhVWEb5MsnpSpsrmW/+ZBR16SUt7Wgz2Z/YPNc4gxkGriwWYmu+/me
 /MQrBHob7SzAn7icBVVWaSPxitrOjarNCAd66wBZMmdKbsaJjR6DhSqMc08SYkLPttg
 TGhs84Oz7g==
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 36826
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

------=_Part_13950_1393962933.1564336200686
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

> I would say this isn't really needed or that helpful.

Well, I say it's needed and helpful. :)

Not necessarily for basic users, they can use customize, but for advanced u=
sers who
know lisp well and prefer setting the values themselves, instead of navigat=
ing customize.

I check variable values all the time and I often want to change them, and i=
t's bothersome
to copy the name and the value, when emacs could do it for me. A human shou=
ld not do
what a computer can do automatically and in this case it's pretty easy for =
the computer
to read the value and set the variable to it. It could even copy the settin=
g afterwards in
lisp form to the=C2=A0 kill-ring in case the user wants to further experime=
nt with it, or copy
the setting to the init file.

If a variable has a buffer local value then it can ask if I want to set the=
 local or global value.

=C2=A0
------=_Part_13950_1393962933.1564336200686
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

&#62; I would say this isn&#39;t really needed or that helpful.<br />
<br />
Well, I say it&#39;s needed and helpful. :)<br />
<br />
Not necessarily for basic users, they can use customize, but for advanced users who<br />
know lisp well and prefer setting the values themselves, instead of navigating customize.<br />
<br />
I check variable values all the time and I often want to change them, and it&#39;s bothersome<br />
to copy the name and the value, when emacs could do it for me. A human should not do<br />
what a computer can do automatically and in this case it&#39;s pretty easy for the computer<br />
to read the value and set the variable to it. It could even copy the setting afterwards in<br />
lisp form to the&#160; kill-ring in case the user wants to further experiment with it, or copy<br />
the setting to the init file.<br />
<br />
If a variable has a buffer local value then it can ask if I want to set the local or global value.<br />
<br />
&#160;
------=_Part_13950_1393962933.1564336200686--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at 36826 <at> debbugs.gnu.org:


Received: (at 36826) by debbugs.gnu.org; 28 Jul 2019 16:51:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 12:51:39 2019
Received: from localhost ([127.0.0.1]:47067 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrmOZ-0005jY-FN
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 12:51:39 -0400
Received: from userp2120.oracle.com ([156.151.31.85]:47936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1hrmOY-0005jI-8b
 for 36826 <at> debbugs.gnu.org; Sun, 28 Jul 2019 12:51:38 -0400
Received: from pps.filterd (userp2120.oracle.com [127.0.0.1])
 by userp2120.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6SGmufw109409;
 Sun, 28 Jul 2019 16:51:30 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=mime-version :
 message-id : date : from : sender : to : subject : references :
 in-reply-to : content-type : content-transfer-encoding; s=corp-2018-07-02;
 bh=DRtPNmLtX8zWY5ItBaftjef0v0FBecQjdxsSeDMyWr8=;
 b=sBcJZ5hBwVVXZpkZSsCIETaUtbTLWlakEckCELzo6y/ZRXZeKhn3KHs+dJUBFIlBHg8U
 kUrCNhaIRDvoQzZOgitl38L1FUS9AKiBlR19+RfYzYigOOf3CfVlVHOQIh77tiYfbryH
 gjL+FNNNvTfnGRfBYFQoURyBoG0W7UisMasVgXm1GIUs4HEZGI52i8BbeOPzCebgfgp3
 7sc94EpCy7VRPCv7yzgFcz6SCJRe5tAmxQ2sks0imBB/gpIGbr8T4SD+kun+ibh2pCPp
 b9W4+ekgNFFcpI+Ns/EoSvvo41RRJZL+xCNMNELuM9CvcU9XxRicJhBY2WjfNfbW1TNm nA== 
Received: from aserp3020.oracle.com (aserp3020.oracle.com [141.146.126.70])
 by userp2120.oracle.com with ESMTP id 2u0f8qkq7m-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Jul 2019 16:51:30 +0000
Received: from pps.filterd (aserp3020.oracle.com [127.0.0.1])
 by aserp3020.oracle.com (8.16.0.27/8.16.0.27) with SMTP id x6SGmxbG082577;
 Sun, 28 Jul 2019 16:51:29 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserp3020.oracle.com with ESMTP id 2u0ee3g4yf-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 28 Jul 2019 16:51:29 +0000
Received: from abhmp0008.oracle.com (abhmp0008.oracle.com [141.146.116.14])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id x6SGpSIP007930;
 Sun, 28 Jul 2019 16:51:29 GMT
MIME-Version: 1.0
Message-ID: <5bc15f7a-d0aa-47fd-b8be-9f6892673063@default>
Date: Sun, 28 Jul 2019 09:51:27 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: ndame <emacsuser@HIDDEN>, 36826 <at> debbugs.gnu.org
Subject: RE: bug#36826: 26.1; request: add variable value editing feature to
 the *Help* buffer
References: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
In-Reply-To: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4873.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 suspectscore=0
 malwarescore=0
 phishscore=0 bulkscore=0 spamscore=0 mlxscore=0 mlxlogscore=875
 adultscore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.0.1-1906280000 definitions=main-1907280211
X-Proofpoint-Virus-Version: vendor=nai engine=6000 definitions=9332
 signatures=668685
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0
 priorityscore=1501 malwarescore=0
 suspectscore=0 phishscore=0 bulkscore=0 spamscore=0 clxscore=1011
 lowpriorityscore=0 mlxscore=0 impostorscore=0 mlxlogscore=929 adultscore=0
 classifier=spam adjust=0 reason=mlx scancount=1 engine=8.0.1-1906280000
 definitions=main-1907280211
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 36826
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> When doing a C-h v the Help buffer shows
> the value of the variable and also its documentation.
>
> Bind the currently unused key 'e' to edit the
> variable's value, maybe in a separate popup
> buffer if the value is complex. E.g. the user
> presses e, the value pops up rendered in
> editable lisp format, the user edits it in place,
> presses C-c C-c and the variable is set
> to the new value.

I would say this isn't really needed or that helpful.
(Just one opinion.)

1. If the variable is a user option then:
   a. `*Help*' already shows a link to the Customize
      buffer, which is the proper place to change
      the value (and possibly save it).
   b. With the cursor on the option name in `*Help*',
      `M-x set-variable' defaults to the option name.

2. If the variable is not a user option, it may
   be buffer-local.  Does the user want to set the
   value in the current buffer or set the default
   value of the variable?  The behavior is different.

3. It's not hard to use `M-: (setq ...)' or
   `M-: (setq-default ...)' to set the new value.
   And it's not hard to copy the current value to
   the `setq(-default)' sexp and edit it there.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 28 Jul 2019 06:08:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 28 02:08:55 2019
Received: from localhost ([127.0.0.1]:45652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hrcMZ-0005tC-An
	for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 02:08:55 -0400
Received: from lists.gnu.org ([209.51.188.17]:35896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <emacsuser@HIDDEN>) id 1hrcMW-0005t4-Sa
 for submit <at> debbugs.gnu.org; Sun, 28 Jul 2019 02:08:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36480)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <emacsuser@HIDDEN>) id 1hrcMV-0008K5-U6
 for bug-gnu-emacs@HIDDEN; Sun, 28 Jul 2019 02:08:52 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 HTML_MESSAGE, RCVD_IN_DNSWL_NONE,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <emacsuser@HIDDEN>) id 1hrcMU-0004XT-S9
 for bug-gnu-emacs@HIDDEN; Sun, 28 Jul 2019 02:08:51 -0400
Received: from fmfe26.onbox.hu ([46.107.16.231]:19963 helo=web-out.onbox.hu)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <emacsuser@HIDDEN>)
 id 1hrcMU-0004Dy-99
 for bug-gnu-emacs@HIDDEN; Sun, 28 Jul 2019 02:08:50 -0400
X-fm-smtp-source: yes
Received: from localhost (localhost [94.21.75.83])
 by web-out.onbox.hu (Postfix) with SMTP id 45xC7D0RPCz7B7
 for <bug-gnu-emacs@HIDDEN>; Sun, 28 Jul 2019 08:08:39 +0200 (CEST)
From: ndame <emacsuser@HIDDEN>
Message-ID: <AxukIQ.Nb1XthNZF0iS.tqSgwR3ezMnVQHRr6XCS@HIDDEN>
Subject: 26.1; request: add variable value editing feature to the *Help* buffer
MIME-Version: 1.0
Content-Type: multipart/alternative; 
 boundary="----=_Part_4831_1758910365.1564293830666"
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
X-AccountId: 57978162
X-Originating-Ip: 94.21.75.83
Date: Sun, 28 Jul 2019 08:08:39 +0200 (CEST)
X-VR-SPAMSTATE: OK
X-VR-SPAMSCORE: 0
X-VR-SPAMCAUSE: gggruggvucftvghtrhhoucdtuddrgeduvddrkeekgdduudcutefuodetggdotefrodftvfcurfhrohhfihhlvgemucggtfgfnhhsuhgsshgtrhhisggvpdcuhfftgffgofetkffnnecuuegrihhlohhuthemuceftddtnecunecujfgurhephffkufggtgfvihffsegrtdersgdttddunecuhfhrohhmpehnuggrmhgvuceovghmrggtshhushgvrhesfhhrvggvmhgrihhlrdhhuheqnecukfhppeelgedrvddurdejhedrkeefnecurfgrrhgrmhephhgvlhhopedpihhnvghtpeelgedrvddurdejhedrkeefpdhmrghilhhfrhhomhepvghmrggtshhushgvrhesfhhrvggvmhgrihhlrdhhuhdprhgtphhtthhopegsuhhgqdhgnhhuqdgvmhgrtghssehgnhhurdhorhhgnecuvehluhhsthgvrhfuihiivgeptd
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=simple/relaxed; t=1564294120; 
 s=20181004; d=freemail.hu;
 h=From:Message-ID:Subject:MIME-Version:Content-Type:To:Date;
 l=1119; bh=1M0UAvuOQR/qNyPMohXuXfNHp0L8sZ7rsEU/HpSKCh0=;
 b=d7PyuSqYYD28ZcwE4VTzLjeha1ACMFXlD1+EOdmoNAJA/bYXtVdBZv7UZpXCR0Ah
 FjcYMC1rnJVPcsYKEOwA6idF7P/chiE9IEUW51XML31PUUEr6rH19Qc9POtMQzHa0XU
 FWaMuUWrVnIzZexLK/sBLY+L3WSByy1QTKyFh6KAcCoodZRNlyyH35XxRj8nUXaVtvv
 ePchrDJal2fQzzXmOIIanm5UtrYuRjMMvgjqNu4yabSN1KjjivkFLHm+2LQC2VS/fQB
 Sk1VhPq1jtlHiyLh0uZzF7rQiuX8CiGvg3aInGkyTVVbG1U3QYjcUI43nJ9W07JJgI4
 8oQBc03yZw==
X-detected-operating-system: by eggs.gnu.org: FreeBSD 9.x [fuzzy]
X-Received-From: 46.107.16.231
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

------=_Part_4831_1758910365.1564293830666
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

When doing a C-h v the Help buffer shows the value of the variable and also
its documentation.

Bind the currently unused key 'e' to edit the variable's value, maybe in a separate popup
buffer if the value is complex. E.g. the user presses e, the value pops up rendered in
editable lisp format, the user edits it in place, presses C-c C-c and the variable is set
to the new value.
------=_Part_4831_1758910365.1564293830666
Content-Type: text/html; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit

When doing a C-h v the Help buffer shows the value of the variable and also<br />
its documentation.<br />
<br />
Bind the currently unused key &#39;e&#39; to edit the variable&#39;s value, maybe in a separate popup<br />
buffer if the value is complex. E.g. the user presses e, the value pops up rendered in<br />
editable lisp format, the user edits it in place, presses C-c C-c and the variable is set<br />
to the new value.
------=_Part_4831_1758910365.1564293830666--




Acknowledgement sent to ndame <emacsuser@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#36826; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.